## org.jgroups.blocks
Class VotingAdapter.FailureVoteResult

    java.lang.Object
      org.jgroups.blocks.VotingAdapter.VoteResult
          org.jgroups.blocks.VotingAdapter.FailureVoteResult

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  VotingAdapter

    public static class VotingAdapter.FailureVoteResult

extends VotingAdapter.VoteResult

Class that represents a result of local voting on the failed node.

See Also:
  Serialized Form

Constructor Summary
`VotingAdapter.FailureVoteResult(java.lang.String reason)`

Method Summary
`java.lang.String` `getReason()`

Methods inherited from class org.jgroups.blocks.VotingAdapter.VoteResult
`addVote, getNegativeVotes, getPositiveVotes, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### VotingAdapter.FailureVoteResult

    public VotingAdapter.FailureVoteResult(java.lang.String reason)

Method Detail

### getReason

    public java.lang.String getReason()

Copyright © 1998-2009 Bela Ban / Red Hat. All Rights Reserved.